From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 17 May 2014<P>

Warning: Devastated heart, nonsensical poetry ahead.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 17 May 2014<P>

Just L. Write it all out. Except it won't make it better. It only makes you re-live everything again and again and sets in down in words lest you forget the tiniest little thing, and then makes you bleed again at a later date when you think you're healing. The writing preserves the memories in all their minute detail and brings back the pain; I've never had it ease the pain in the slightest. But I still write; I dare not forget. I write to remember and read (not my own writing, of course) to forget.
<HR>